# $Revision: 1.24 $, $Date: 2002/09/30 02:03:04 $
Summary:	Flux is a survival-through-structure library
Summary(pl):	Flux - biblioteka struktur danych i operacji na nich
Name:		flux
Version:	0.4.1
Release:	5
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.styx.net/projects/flux/%{name}-%{version}.tar.gz
Patch0:		%{name}-gethostbyname_is_in_libc_aka_no_libnsl.patch
Patch1:		%{name}-acinclude_fix.patch
Patch2:		%{name}-am15.patch
Patch3:		%{name}-AC_C_BIGENDIAN.patch
URL:		http://projects.simplemente.net/flux/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flux is a survival-through-structure library, whose goal is to reduce
the complexity of C programming. To this end, it supplies high-level
functions for manipulating data and communication with specialized
handles, masking typically tedious programming tasks. Common
instruction blocks are wrapped in higher-level calls with intuitive
names. In short: Do it once, do it right, then forget about it.

Abstracting things this way involves speed compromises. In Flux, these
should be minimal, and sometimes, when superiour algorithms are easily
accessible, efficiency is actually gained.

Another important goal is bridging gaps between typical tasks - like
parsing, storage, retrieval, buffering and transfer, data structures -
like generic tree structures, generic network structures, XML and
presentation formats, and protocols - like FluxComm, Unix protocols
and IRC. (Note: IRC protocols are hairy and ill-defined. Unification
and masking is particularly useful here).

%description -l pl
Flux jest bibliotek typu "survival-through-structure", ktrej celem
jest redukcja zoonoci programowania w C. W tym celu zaprojektowano
funkcje wysokiego poziomu suce manipulacji danymi i komunikacji z
wyspecjalizowanymi uchwytami, ukrywajc nuce zazwyczaj zadania
programistyczne. Popularne bloki instrukcji s zawinite w wywoaniach
wyszego poziomu o intuicyjnych nazwach. Mwic krtko: Zrb to raz,
zrb to dobrze i zapomnij o tym. Takie wyabstrahowywanie wymaga wielu
kompromisw. We Fluksie powinny by one ograniczone do minimum, czasem
za, kiedy atwo jest uy lepszych algorytmw, zyskuje si na
wydajnoci. Inn wan rzecz jest stworzenie pomostu midzy typowymi
zadaniami (parsowanie, przechowywanie, wydobywanie, buforowanie i
transfer), strukturami danych (generyczne struktury drzew, generyczne
struktury sieci XML i formaty prezentacyjne) a protokoami (FluxComm,
protokoy uniksowe i IRC. Uwaga: protokoy ircowe s niezgrabne i le
zdefiniowane. Szczeglnie w tym wypadku unifikacja i maskowanie
ukazuj swoja warto).

%package devel
Summary:	Header files and development documentation for flux
Summary(pl):	Pliki nagwkowe i dokumentacja do flux
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for flux.

%description devel -l pl
Pliki nagwkowe i dokumentacja do biblioteki flux.

%package static
Summary:	Static flux libraries
Summary(pl):	Biblioteki statyczne flux
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static flux libraries.

%description static -l pl
Biblioteki statyczne flux.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
echo n | %{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS README NEWS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz doc/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: flux.spec,v $
Revision 1.24  2002/09/30 02:03:04  speedy
- release 5, STBR

Revision 1.23  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/25 16:18:40  arturs
fixed a small typo

Revision 1.20  2002/04/25 12:57:44  marcus
- rel.4

Revision 1.19  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/15 20:39:52  kloczek
- added patch AC_C_BIGENDIAN for use system avalaible AC_C_BIGENDIAN aclocal macro.
NOTE: still don't compile correctly (fails on build mpi; seems it will be good
prepera on first mpi library.

Revision 1.14  2001/12/15 19:57:02  kloczek
- relese 3,
- added acinclude_fix and am15 patches (now can be also regenerated
  ac/am/lt files).

Revision 1.13  2001/11/26 15:56:08  qboosh
- adapterized, pl summary

Revision 1.12  2001/10/07 14:53:50  blues
- configure2_13 used

Revision 1.11  2001/08/22 17:24:36  filon
- removed stripping executables, it's done by rpm automation

Revision 1.10  2000/08/21 22:37:11  kloczek
- removed %%find_lang from %buils (flux is not gettextized).

Revision 1.9  2000/08/21 22:25:58  kloczek
- release 2,
- added gethostbyname_is_in_libc_aka_no_libnsl patch - now flux is not
  linked with libnsl.

Revision 1.8  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/29 13:53:03  arturs
- added %description -l pl

Revision 1.4  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.3  2000/02/10 13:53:00  wiget
0.4.1

Revision 1.2  2000/02/09 21:16:09  kloczek
- updated to 0.4.0.

Revision 1.1  1999/12/18 15:13:54  kloczek
- initial version.
